Đến nội dung


Hình ảnh

Hỏi Vẽ Đường Thẳng Khi Có Tọa Độ Trên Sổ Đỏ


  • Please log in to reply
16 replies to this topic

#1 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 August 2015 - 01:54 PM

Tình hình là trên sổ đỏ nhà e có cái bảng kê  tọa độ.E muốn dựa vào tọa độ đó để vẽ ra thữa đất của mình.Mà ko biết nhập lệnh như nào.A/e nào rành về khoản này chỉ e cú pháp nhập lệnh với nha..thank mọi người

Ai có lòng tốt thì vẽ giúp e luôn với (^^)

12041998_433005883576829_2010623231_n.jp


  • 0

#2 quachno1

quachno1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 28 August 2015 - 02:57 PM

Tình hình là trên sổ đỏ nhà e có cái bảng kê  tọa độ.E muốn dựa vào tọa độ đó để vẽ ra thữa đất của mình.Mà ko biết nhập lệnh như nào.A/e nào rành về khoản này chỉ e cú pháp nhập lệnh với nha..thank mọi người

141026_IMG_9966.JPG

 

Cách đơn giản nhất bạn xem tại đây luôn nhé

 

 

 

File mình làm, thửa đất nhà bạn đây: http://www.cadviet.c...841_thuadat.rar


  • 2

#3 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 September 2015 - 05:26 PM

e vẫn chưa hiễu lắm về cách vẽ cũa clip.....ai cao nhân giãi thích chút xíu cho e thông não cái....


  • 0

#4 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 September 2015 - 10:44 AM

có cao nhân nào giúp e vs..e xuất list trong excel rồi mà copy zo cad nhu clip thì ko dc..hix..hix


  • 0

#5 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 20 September 2015 - 04:19 PM

:D :D :D

Có 2 lúa thử được không?

 

1. File excel bạn không chịu đưa lên, bắt cao nhân ngồi gõ ==> bạn là cao thủ siêu .... chuyên nghiệp.

2. File đây: 

 

http://www.cadviet.c...10802_book1.rar

 

3. Lỗi của bạn có thể do quá nhiều dấu "phẩy".

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#6 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 September 2015 - 12:09 AM

mình làm theo clip...đánh lệnh PL..enter...copy list..enter....mà sao nó ko hiện ra bản vẽ như clip....bạn giúp trót mình ca này với


  • 0

#7 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 24 September 2015 - 08:18 AM

:D :D :D

Cái list 2 lúa gởi lên chắc chắn làm được.

Bạn không có cách nào để mô tả lỗi thì cao nhân cũng chịu, huống gì là 2 lúa.

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#8 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 October 2015 - 05:56 PM

:D :D :D

Cái list 2 lúa gởi lên chắc chắn làm được.

Bạn không có cách nào để mô tả lỗi thì cao nhân cũng chịu, huống gì là 2 lúa.

:D :D :D

bac giúp e cho trot..ve ra lun cho e cai...e mo may bua roi ko ra..hĩx..hĩx


  • 0

#9 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 07 October 2015 - 08:09 PM

:D :D :D

Bác hỏi xem có ai gõ giúp file bác excel không, sau đó bác gởi file đó lên đây. Chứ cách ra đề của bạn thì 2 lúa đoán bạn là VIP rồi.

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#10 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 October 2015 - 09:00 AM

1204372.51,610950.64

1204367.73,610979.33

1204360.41,610976.53 

1204358.58,610981.01 

1204357.31,610984.12 

1204341.11,610977.91 

1204342.47,610974.65

1204343.94,610971.56

1204354.13,610946.60

1204372.51,610950.64

bac giup e voi nhe


  • 0

#11 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 08 October 2015 - 09:17 AM

:D :D :D

1204372.51,610950.64
1204372.51,610950.65
1204372.51,610950.66
1204372.51,610950.67
1204372.51,610950.68
1204372.51,610950.69
1204372.51,610950.70
1204372.51,610950.71
1204372.51,610950.72
1204372.51,610950.73

Bác xem lại số bác gởi, các số đầu đều giống nhau (1204372.51). Vì vậy, bác chỉ cần vẽ 1 đường thẳng đứng là xong.

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#12 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 October 2015 - 06:56 PM

1204372.51,610950.64

1204367.73,610979.33

1204360.41,610976.53 

1204358.58,610981.01 

1204357.31,610984.12 

1204341.11,610977.91 

1204342.47,610974.65

1204343.94,610971.56

1204354.13,610946.60

1204372.51,610950.64

e sữa rồi bác ơi


  • 0

#13 alonebi.205

alonebi.205

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 09 October 2015 - 06:12 AM

PL->pase số liệu->enter->Z enter E enter


  • 0

#14 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 668 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 09 October 2015 - 07:56 AM

Bạn thử cái này xem:
(defun C:RGT (/ MKTEXT tmp Plist mspace obj ent epar j len pal le1 le2 Pm lst ang)
;;--- NHAP TOA DO CAC DIEM O DAY :
(setq Plist (list '(1204372.51 610950.64) '(1204367.73 610979.33) '(1204360.41 610976.53) '(1204358.58 610981.01) '(1204357.31 610984.12)
'(1204341.11 610977.91) '(1204342.47 610974.65) '(1204343.94 610971.56) '(1204354.13 610946.60) '(1204372.51 610950.64)))
;;-----------------------------------------------------------------------------------------------------------------------------------------
(defun MKTEXT (pt hgt str ang col)
(if (and pt str)
(entmakex (list (cons 0 "TEXT")
(cons 10 pt)
(cons 40 hgt)
(cons 50 ang)
(cons 62 col)
(cons 1 str)
(cons 72 1)
(cons 11 pt)
(cons 73 2)))))
(vl-load-com)
(setq mspace (vla-get-modelSpace (vla-get-activeDocument (vlax-get-acad-object))))
(setq Plist (apply 'append Plist))
(setq tmp (vlax-make-safearray vlax-vbDouble (cons 0 (- (vl-list-length Plist) 1))))
(vlax-safearray-fill tmp Plist)
(setq obj (vla-addLightweightPolyline mspace tmp)
ent (vlax-vla-object->ename obj))
(vla-put-color obj 3)
(setq epar (vlax-curve-getendparam obj)
j -1
pal (vlax-curve-getdistatparam obj epar))
(repeat (fix epar)
(setq j (1+ j)
le1 (vlax-curve-getdistatparam obj j)
le2 (vlax-curve-getdistatparam obj (1+ j))
len (- le2 le1)
Pm (trans (vlax-curve-getPointAtParam ent (+ j 0.5)) 0 ent)
ang (angle (trans (vlax-curve-getpointatparam ent j) 0 ent)
(trans (vlax-curve-getpointatparam ent (1+ j)) 0 ent))
lst (cons (list (1+ j) Pm len) lst))
(MKTEXT (trans (vlax-curve-getpointatparam ent j) 0 ent) 0.75 (itoa (1+ j)) 0 1)
(cond ((and (> ang (/ pi 2)) (<= ang pi)) (setq ang (- ang pi)))
((and (> ang pi) (<= ang (/ (* 3 pi) 2))) (setq ang (+ ang pi))))
(MKTEXT Pm 0.5 (rtos len 2 2) ang 2))
(princ))

  • 0

#15 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 09 October 2015 - 08:32 AM

:D :D :D

 Bác xem:

110802_screenshot_9.png

 

cái lít của bác dư dấu "space bar" ở hàng 3,4,5,6 -> nên khi pát vô lệnh pl thì chỉ vẽ được 7 điểm.

khi 2 lúa bỏ các "space bar" đó đi thì vẽ được 10 điểm, xem hình:

110802_screenshot_10.png

 

Nhưng bác cũng sẽ thắc mắc là hình không giống đề bài. Đúng vậy, chắc do cad2015 của 2 lúa xài nó không hiểu cái cách trình bày tọa độ (x,y) như đề bài, nên 2 lúa chỉnh lại thành tọa độ (y,x) cho cad2015 nó hiểu.

610950.64,1204372.51
610979.33,1204367.73
610976.53,1204360.41
610981.01,1204358.58
610984.12,1204357.31
610977.91,1204341.11
610974.65,1204342.47
610971.56,1204343.94
610946.60,1204354.13
610950.64,1204372.51

Kết quả: 

110802_screenshot_11.png

 

file đây:

 http://www.cadviet.c..._drawing1_1.dwg

 

Tất nhiên, lời 2 lúa thì không đáng tin, bạn phải tin vào chính bạn thôi.

 

2 lúa kiểm tra điểm số 2 và số 9 -> bạn sẽ thấy nó trùng khớp với đề bài, nhưng đảo ngược.

110802_screenshot_12.png110802_screenshot_13.png

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#16 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 668 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 09 October 2015 - 09:30 AM

- Dư "space bar" chắc là do 4rum.

- Không giống đề bài chắc là do quy ước tọa độ (có thể là VN2000 gì đó ...), tui không rành khoản này lắm. (cad2012 cũng giống 2015 - Không giống đề bài).

- PL vẽ theo tọa độ của Cad.


  • 0

#17 caferacer018

caferacer018

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 October 2015 - 12:10 PM

thank bac nhiu nha...


  • 0